{% extends '_base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block title %} {{project.name}} {% endblock title %}

{% block content %}
<div class="column is-two-thirds is-offset-2 mt-6">
    <div class="box">
        <div class="section">
            <div class="columns">
                <div class="column is-10">
                    <h3 class="title">{{project.name}}</h3>
                    <h5 class="subtitle"> {{project.primary_department}} </h5>
                </div>
                {% if user.is_superuser %}
                <div class="column has-text-justified">
                    <a href="{% url 'project_update' id=project.id %}" class="mr-4">
                        <button class="button is-small is-warning">Edit</button>
                    </a>
                    <a href="{% url 'project_delete' id=project.id %}">
                        <button class="button is-small is-danger">Delete</button>
                    </a>
                </div>
                {% endif %}
            </div>
            <p class="content has-text-justified">{{project.description|safe}}</p>
        </div>
        <hr>
        <div class="section">
            <div class="columns">
                {% for emp in project.members.all %}
                {% if user.is_superuser %}
                <a href={% url 'employee_detail' empid=emp.emp_id%}>
                    <div class="column is-3">
                        <div class="media">
                            <div class="media-content">
                                <p class="title is-4">{{emp.first_name}} {{emp.last_name}}</p>
                                <p class="subtitle is-6">{{emp.designation}} | {% for dep in emp.department.all %}
                                    {{dep.name}}<br>
                                    {% endfor %}</p>
                            </div>
                        </div>

                        <div class="content">
                            <p>{{emp.email}}</p>
                            <a></a>
                        </div>
                    </div>
                    {% else %}
                    <div class="column is-3">
                        <div class="media">
                            <div class="media-content">
                                <p class="title is-4">{{emp.first_name}} {{emp.last_name}}</p>
                                <p class="subtitle is-6">Designation | Department</p>
                            </div>
                        </div>

                        <div class="content">
                            <p>{{emp.email}}</p>
                            <a></a>
                        </div>
                    </div>
                    {% endif %}

                </a>
                {% endfor %}
            </div>
        </div>
    </div>
</div>
{% endblock %}